if (!("finalizeConstruction" in ViewPU.prototype)) {
    Reflect.set(ViewPU.prototype, "finalizeConstruction", () => { });
}
class Index extends ViewPU {
    constructor(b46, c46, d46, e46 = -1, f46 = undefined, g46) {
        super(b46, d46, e46, g46);
        if (typeof f46 === "function") {
            this.paramsGenerator_ = f46;
        }
        this.__message = new ObservedPropertySimplePU('Hello World', this, "message");
        this.setInitiallyProvidedValue(c46);
        this.finalizeConstruction();
    }
    setInitiallyProvidedValue(a46) {
        if (a46.message !== undefined) {
            this.message = a46.message;
        }
    }
    updateStateVars(z45) {
    }
    purgeVariableDependenciesOnElmtId(y45) {
        this.__message.purgeDependencyOnElmtId(y45);
    }
    aboutToBeDeleted() {
        this.__message.aboutToBeDeleted();
        SubscriberManager.Get().delete(this.id__());
        this.aboutToBeDeletedInternal();
    }
    get message() {
        return this.__message.get();
    }
    set message(x45) {
        this.__message.set(x45);
    }
    initialRender() {
        this.observeComponentCreation2((v45, w45) => {
            Row.create();
            Row.height('100%');
        }, Row);
        this.observeComponentCreation2((t45, u45) => {
            Column.create();
            Column.width('100%');
        }, Column);
        this.observeComponentCreation2((q45, r45) => {
            Text.create(this.message);
            Text.fontSize(50);
            Text.fontWeight(FontWeight.Bold);
            Text.onClick(() => {
            });
        }, Text);
        Text.pop();
        Column.pop();
        Row.pop();
    }
    rerender() {
        this.updateDirtyElements();
    }
    static getEntryName() {
        return "Index";
    }
}
registerNamedRoute(() => new Index(undefined, {}), "", { bundleName: "com.aliyun.player.demo_ohos", moduleName: "premierlibrary", pagePath: "__harDefaultPagePath__", pageFullPath: "", integratedHsp: "__harDefaultIntegratedHspType__" });
export {};
